#!/bin/bash
#
# $Id: test.sh,v 1.2 2004/12/10 13:52:26 exon Exp $
#
# This script can be used to test the functionality of notify.pl
# It is also somewhat useful in testing the output of custom skins.
#

if [ "$#" -lt 2 ]; then
	echo "usage: test.sh skin email pager"
	echo "   pager is optional. skin and email are not"
	exit 1
fi

./notify.pl --debug -c "CONTACTNAME" -h "HOSTNAME" -f "$1" -m "$2" -p "$3" "HOSTALIAS=HOSTALIAS" "HOSTADDRESS=HOSTADDRESS" "HOSTSTATE=HOSTSTATE" "HOSTSTATEID=HOSTSTATEID" "HOSTSTATETYPE=HOSTSTATETYPE" "HOSTATTEMPT=HOSTATTEMPT" "HOSTLATENCY=HOSTLATENCY" "HOSTEXECUTIONTIME=HOSTEXECUTIONTIME" "HOSTDURATION=HOSTDURATION" "HOSTDURATIONSEC=HOSTDURATIONSEC" "HOSTDOWNTIME=HOSTDOWNTIME" "HOSTPERCENTCHANGE=HOSTPERCENTCHANGE" "HOSTGROUPNAME=HOSTGROUPNAME" "HOSTGROUPALIAS=HOSTGROUPALIAS" "LASTHOSTCHECK=LASTHOSTCHECK" "LASTHOSTSTATECHANGE=LASTHOSTSTATECHANGE" "LASTHOSTUP=LASTHOSTUP" "LASTHOSTDOWN=LASTHOSTDOWN" "LASTHOSTUNREACHABLE=LASTHOSTUNREACHABLE" "HOSTOUTPUT=HOSTOUTPUT" "HOSTPERFDATA=HOSTPERFDATA" "HOSTACKAUTHOR=HOSTACKAUTHOR" "HOSTACKCOMMENT=HOSTACKCOMMENT" "NOTIFICATIONNUMBER=NOTIFICATIONNUMBER" "CONTACTALIAS=CONTACTALIAS" "DATETIME=DATETIME" "SHORTDATETIME=SHORTDATETIME" "DATE=DATE" "TIME=TIME" "TIMET=TIMET" "ADMINEMAIL=ADMINEMAIL" "ADMINPAGER=ADMINPAGER"
./notify.pl --debug -c "CONTACTNAME" -h "HOSTNAME" -f "$1" -m "$2" -p "$3" -s "SERVICEDESCRIPTION" "HOSTALIAS=HOSTALIAS" "HOSTADDRESS=HOSTADDRESS" "HOSTSTATE=HOSTSTATE" "HOSTSTATEID=HOSTSTATEID" "HOSTSTATETYPE=HOSTSTATETYPE" "HOSTATTEMPT=HOSTATTEMPT" "HOSTLATENCY=HOSTLATENCY" "HOSTEXECUTIONTIME=HOSTEXECUTIONTIME" "HOSTDURATION=HOSTDURATION" "HOSTDURATIONSEC=HOSTDURATIONSEC" "HOSTDOWNTIME=HOSTDOWNTIME" "HOSTPERCENTCHANGE=HOSTPERCENTCHANGE" "HOSTGROUPNAME=HOSTGROUPNAME" "HOSTGROUPALIAS=HOSTGROUPALIAS" "LASTHOSTCHECK=LASTHOSTCHECK" "LASTHOSTSTATECHANGE=LASTHOSTSTATECHANGE" "LASTHOSTUP=LASTHOSTUP" "LASTHOSTDOWN=LASTHOSTDOWN" "LASTHOSTUNREACHABLE=LASTHOSTUNREACHABLE" "HOSTOUTPUT=HOSTOUTPUT" "HOSTPERFDATA=HOSTPERFDATA" "SERVICESTATE=SERVICESTATE" "SERVICESTATEID=SERVICESTATEID" "SERVICESTATETYPE=SERVICESTATETYPE" "SERVICEATTEMPT=SERVICEATTEMPT" "SERVICELATENCY=SERVICELATENCY" "SERVICEEXECUTIONTIME=SERVICEEXECUTIONTIME" "SERVICEDURATION=SERVICEDURATION" "SERVICEDURATIONSEC=SERVICEDURATIONSEC" "SERVICEDOWNTIME=SERVICEDOWNTIME" "SERVICEPERCENTCHANGE=SERVICEPERCENTCHANGE" "SERVICEGROUPNAME=SERVICEGROUPNAME" "SERVICEGROUPALIAS=SERVICEGROUPALIAS" "LASTSERVICECHECK=LASTSERVICECHECK" "LASTSERVICESTATECHANGE=LASTSERVICESTATECHANGE" "LASTSERVICEOK=LASTSERVICEOK" "LASTSERVICEWARNING=LASTSERVICEWARNING" "LASTSERVICEUNKNOWN=LASTSERVICEUNKNOWN" "LASTSERVICECRITICAL=LASTSERVICECRITICAL" "SERVICEOUTPUT=SERVICEOUTPUT" "SERVICEPERFDATA=SERVICEPERFDATA" "SERVICEACKAUTHOR=SERVICEACKAUTHOR" "SERVICEACKCOMMENT=SERVICEACKCOMMENT" "NOTIFICATIONNUMBER=NOTIFICATIONNUMBER" "CONTACTALIAS=CONTACTALIAS" "DATETIME=DATETIME" "SHORTDATETIME=SHORTDATETIME" "DATE=DATE" "TIME=TIME" "TIMET=TIMET" "ADMINEMAIL=ADMINEMAIL" "ADMINPAGER=ADMINPAGER"
